%%ItemTitle%%

Installation Help
General Installation Notes
Installation > General Installation Notes

Installing the Transoft Product

Setup installs all program files required to run in the supported CAD platforms. The Transoft product stores folder locations in the registry.

Upgrading From an Earlier Version

If your installed Transoft product is one major version number less than the version that you want to install, proceed to Installing on a Standalone Computer or Installing on a Network.

If your installed Transoft product is two or more major version numbers less than the version that you want to install, contact the Transoft Technical Support before installing the new version.

Note: If you have created custom content for the Transoft product, export the custom content before uninstalling the existing version, so that they can be imported into the new version after installation.

Transferring User Created Content

It is possible to transfer user created content to other Transoft product users who are not on your network. Simply copy the desired files from the Contents User folder in your computer's user data folder to a transferring medium (CD-ROM, DVD-ROM, flash drive, etc.), hand it over to another user, and instruct them to copy the contents of the medium to appropriate folders in their computer's user data folder (see Default User Data Location below).

Note: User created content must be transferred after the existing version has been uninstalled and the new version has been installed.

Default User Data Location

The table below shows where user data may be located by default depending on the program configuration and the operating system installed on the computer (for more information on Transoft product's network configuration, see Installing on a Network).

Configuration | Operating System | Default User Data Location
Standalone/ Workstation | Windows 7 MS Windows 8 MS Windows 10 | %appdata%\Transoft Solutions\ProductName* ProductVersion** %appdata%\Transoft Solutions\Common Note: The Common folder contains user specific content and settings files shared among various Transoft products, if applicable.
Server | MS Windows Server 2008 MS Windows Server 2012 MS Windows Server 2016 | C:\Users\Public\Transoft Solutions\ProductName* ProductVersion**

AviPLAN Users:

The default location of the UsersData.db file that contains user data is C:\ProgramData\Transoft Solutions\ProductName* ProductVersion**.

* ProgramName stands for the name of the Transoft product.
** ProductVersion stands for the version of the Transoft product.


Installing on a Standalone Computer
Installation > Installing on a Standalone Computer

IMPORTANT! You must have administrator permissions to install and configure the Transoft product.

Permissions required during standalone installation:

Folder Contents | Permissions
Program Files | Full Control
User Data | Full Control

Permissions required after standalone installation:

Folder Contents | Permissions
Program Files | Read & Execute
User Data | Full Control

For information on the user data location, see General Installation Notes: Default User Data Location.

To Install the Transoft product:

  1. Decompress the Transoft product installation archive to an empty folder on your computer.
  2. Double-click the Setup.exe file.
  3. Click Set up a Workstation, and then click Install.
  4. If prompted, type the License Number and CD Key that came with your package, and then click OK.
  5. When prompted, specify the location to install the program files.
  6. The setup file will create the required folders, desktop and Start menu shortcuts, as well as the registry entries.
  7. Start the Transoft product (see Starting the Transoft Product).

Note: If you are installing the Transoft product from USB installation media, insert it into your computer, and then follow the instructions outlined above starting at Step 3. If the installation program does not start automatically:

  1. Click Start, Run on the Windows task bar.
  2. Type "drive:\setup", where drive is the drive letter of where the installation media was inserted, and then click OK.


Installing on a Network
Installation > Installing on a Network

IMPORTANT! You must have administrator permissions to install and configure the Transoft product.

Installing the Transoft product on a network involves two stages: Setting up the Servers, and then Configuring the Workstations.

Folders and Permissions

The Transoft product installs files to two main locations during the server installation stage: the program files are installed to the Program Server; the license server files are installed to the License Server. The program files do not need to be installed on the same drive or computer as the license server files, which allows for more network flexibility.

During the workstation configuration stage, a location is created on the local workstation for output files and settings called the Workstation folder.

The names and locations of all of these folders are stored in the registry. The registry entries are automatically created when the Transoft product is installed, but they can be changed after installation if desired by using the Configuration Utility (see the Configuration Utility topic in the Transoft product Help), if applicable.

Permissions required during server installation:

Folder Contents | Permissions
Program Files | Full Control
License Server | Full Control
Shared Data | Full Control

Permissions required after server installation:

Folder Contents | Permissions
Program Files | Read & Execute
License Server | Read & Execute
Shared Data | Full Control

Permissions required during workstation installation:

Folder Contents | Permissions
Program Files | Full Control
User Data | Full Control

Permissions required after workstation installation:

Folder Contents | Permissions
Program Files | Read & Execute
User Data | Full Control

For information on the user data location, see General Installation Notes: Default User Data Location.

Network Configuration

During the installation process, the Transoft product is configured to run the program files from the workstation. In addition, each workstation is configured to access the License Server to verify the license.

Setting Up the Servers

Setting up the servers involves selecting computers in your network to act as the Transoft product Program Server and Transoft Solutions product License Server. Regardless of whether these are the same computer or different computers, installation should be performed at the Transoft product Program Server.

To Set Up the Servers:

  1. Decompress the Transoft product installation archive to an empty folder on the computer which is to become the Program Server.
  2. Double-click the Setup.exe file.
  3. Click Set up a Server, then click Install, and then follow the on-screen instructions.
  4. Proceed to Configuring the Workstations.

Note:

  • If you are installing the Transoft product from USB Installation Media, insert it into your computer, and then follow the instructions outlined above starting at Step 3. If the installation program does not start automatically:
  1. Click Start, Run on the Windows task bar.
  2. Type "drive:\setup", where drive is the drive letter of where the installation media was inserted, and then click OK.
  • To have the custom content shared between users, create Transoft Solutions Data Sharing Service during the installation of the Transoft product, if applicable. To enable the service, the setup will install Microsoft .NET Framework 4.5 on the server.
  • During the installation process, you can choose whether to install the Transoft Solutions Data Sharing Service.You can also run the setup again on a different server to install the Transoft Solutions Data Sharing Service on that server.

Configuring the Workstations

To Set Up the Workstations:

  1. At each workstation that will be running the Transoft product, browse to the "ProductName* ProductVersion**" share on the Program Server computer specified in Setting Up the Servers above. Browse to the Workstation subfolder, and then run SetupWorkstation to start the workstation installer.
  2. When prompted for the location of the Workstation folder, browse to a local folder on the workstation.
  3. The setup will create the required local folders and registry entries on the workstation and set up communication with the License Server.
  4. Start the Transoft product (see Starting the Transoft Product).

Installing on a Network with a Subscripton License

If you have a user subscription license, the Transoft Solutions License Server will not be installed.

Note: To have access to the subscription license, all workstations should be connected to the Internet.

MSI Workstation Installer

The MSI Workstation Installer created during server installation is intended for administrators with very large networks who have network management software that allows them to automatically install MSI files over a network. Using network management software such as Active Directory, administrators can use this file to push workstation installations from a central server to remote workstations. Other administrators should use the standard workstation installer from the Program Server (see Configuring the Workstations above). The default path of the MSI Workstation Installer is C:\Program Files\Transoft Solutions\ProductName* ProductVersion** Server\Workstation.

Note:

  • During server installation, the SetupWorkstationSilent silent installation shortcut is created. Administrators can use this to set up workstations without having to answer the installation prompts for each workstation.
  • During the installation process, you can choose whether to generate the MSI Workstation Installer on the main server. You can also run the setup again on a different server to generate the MSI Workstation Installer on that server.
  • MSI installation based on Microsoft Server 2000 is not supported.

Creating a Custom MSI Workstation Installer

In case the License Server and the Transoft Solutions data sharing service are installed on different computers, or if you need to install a subscription license or modify settings on multiple workstations, you can create a custom MSI Workstation Installer.

To Create a Custom MSI Workstation Installer:

  1. Copy the SetupWorkstation.exe and tsInstall.xml files to the Wix folder located in the Workstation folder.
  2. Modify the tsInstall.xml file to indicate the updated parameters (i.e. <server>SERVER_NAME<server> for the server name, <port>12345</port> for the port number, etc.).
  3. Run the buildMSI.bat file to create the SetupWorkstationCustom.msi file.

Note:

  • The buildMSI.bat file cannot run from a network shared folder. You must log in to the server where the Wix folder is located.
  • If you create or modify a custom MSI Workstation Installer after you have installed the software on workstations, you must uninstall the current installation before running the new SetupWorkstationCustom.msi file.

Monitoring the Number of Network Users

The Transoft product monitors network usage by maintaining a log of users. When the maximum number of licensed users is reached, new users will be denied access. Administrators can access this log by generating a usage report from within the License Server Administration Tool.

* ProgramName stands for the name of the Transoft product.
** ProductVersion stands for the version of the Transoft product.


Starting the Transoft Product
Installation > Starting the Transoft Product

The Transoft product can be started in the following ways:

From the desktop:

  • Double-click the Transoft product desktop icon.

From the Start menu:

  • In the Start, All Programs, Transoft product folder, click the Transoft product shortcut icon.

AviPLAN Users:

For the procedure of starting AviPLAN, see also Starting AviPLAN in AutoCAD/BricsCAD or MicroStation.

In AutoCAD/BricsCAD/ZWCAD:

  1. Start the CAD platform and open a drawing file.
  2. If the Transoft product has been loaded previously, click any button on the Transoft product ribbon or toolbar.

OR

  2. Click Tools/Manage, and then click Load Application.
  3. Browse to the Transoft product program folder.
  4. Select and load the appropriate .arx/.brx/.zrx file for the CAD platform version.

Once the program is loaded, all commands can be accessed from the ribbon or toolbar.

Note: Some Transoft products do not support BricsCAD and/or ZWCAD. For information on the Transoft product compatibility with different CAD platforms, see Product Compatibility Information on the Transoft Solutions website.

In MicroStation:

  1. Start MicroStation and open a design file.
  2. On the MicroStation main menu, click Utilities, MDL Applications, and then click Browse.
  3. Select the appropriate .ma file for your version of MicroStation, and then click OK.

OR

  1. Start MicroStation and open a design file.
  2. In the key-in window, type mdl load "C:\Program Files\Transoft Solutions\ProductName* ProductVersion**\application.ma" (replace "application.ma" with the .ma file name that is appropriate for your version of MicroStation, and, if you installed the Transoft product to a different location, use the actual path of the .ma file), and then press ENTER.

Once the program is loaded, all commands can be accessed from the toolbar.

If the toolbar is closed, it can be restored by typing the Transoft product's two letter acronym followed by TOOLS (i.e. XX TOOLS) in the key-in window.

Transoft Product | Acronym
AutoTURN | AT
AutoTURN Rail | AR
GuideSIGN | GS
InVision | IV
NEXUS | NX
ParkCAD | PC
SIGMA | SG
TORUS | TR

Starting AviPLAN in AutoCAD/BricsCAD or MicroStation:

  1. Start the CAD platform and open a drawing/design file.
  2. In the command line / key-in window, type the following command:
Program | Command
AviPLAN Turn | avp2t
AviPLAN Turn Pro | avp2tp
AviPLAN Airside | avp2a
AviPLAN Airside Pro | avp2ap

If the Transoft product has not been authorized yet, see Authorizing the Transoft Product.

Note: Using the Transoft product may require that the latest update and/or service pack be installed for a particular CAD platform version.

* ProgramName stands for the name of the Transoft product.
** ProductVersion stands for the version of the Transoft product.


Authorizing the Transoft Product
Installation > Authorizing the Transoft Product

On initial program load and on subsequent loads until the Transoft product is authorized, the Program Authorization dialog box displays prompting for your Authorization Key.

To Authorize the Transoft product:

  1. If you are connected to the Internet, click Request Authorization (preferred method). Note: If you are behind a firewall, you will need to configure it to allow the CAD application (e.g. AutoCAD/acad.exe or MicroStation/ustation.exe) or the Transoft product (e.g. AircraftDataViewer.exe or ArcPORT.exe) to have access to the Internet.
  2. The Activate License dialog box displays. Fill in the required information. Note: In the Registered Email box, type the email address of the person in whose name the Transoft product was purchased.
  3. Click Activate, and the Transoft product will get authorized automatically.

OR

  3. If for some reason automatic online authorization cannot be performed, you will be directed to a web page where you will be required to fill in contact information to request an Authorization Key.
  4. Click Submit. An email containing the Authorization Key will be sent to the email address you supplied.
    Alternatively, you can contact Transoft Solutions with the information displayed in this dialog box to receive your Authorization Key.
  5. Once you have received the Authorization Key, type it in the Authorization Key box, and then click OK.

To Bypass the Authorization Process:

Click Bypass to use the Transoft product for a preset grace period. Once the grace period has expired, however, you will have to enter a valid Authorization Key to continue using the software.


Uninstalling the Transoft Product
Installation > Uninstalling the Transoft Product

To Uninstall the Transoft Product:

  1. Exit the CAD platform.
  2. Use Control Panel, Programs and Features to select the Transoft product, and then click Uninstall.
  3. Follow the instructions on the screen.

Note: There may still be files left on the computer after the uninstall routine finishes. The uninstall routine will not remove user created content from the workstation folder, or the user data folder, or the database file as applicable (see General Installation Notes: Default User Data Location).

To Uninstall the Transoft Product Silently From a Workstation:

To uninstall the Transoft product silently from a workstation, add the following line to the uninstall script, and then run it on the workstation: "C:\Program Files\Transoft Solutions\ProductName* ProductVersion**\Uninstall\uninstall.exe" "/U:C:\Program Files\Transoft Solutions\ProductName* ProductVersion**\Uninstall\ProductName* Uninstall.xml" /S (if you installed the Transoft product to a different folder, modify the path accordingly).

* ProgramName stands for the name of the Transoft product.
** ProductVersion stands for the version of the Transoft product.